Social

Query Bilibili User

0calls
4 credits / call

Want to surface Bilibili user profiles inside your application? This endpoint returns the user's public information.

GET
uapis.cn
/api/v1/social/bilibili/userinfo
Query parameters
1
uid
string
required

Bilibili user UID.

Overview

Given a user UID (a pure-numeric ID), the endpoint returns the user's public profile fields: nickname, gender, avatar, level, signature, and more.

Query parameters

uid
stringrequired

Bilibili user UID.

Response

200 / OK

Lookup succeeded. Returns the user's public Bilibili profile.

JSON
{
  "mid": 483307278,
  "name": "bishi",
  "sex": "private",
  "face": "http://i0.hdslb.com/bfs/face/....jpg",
  "sign": "嗶哩嗶哩 - ( ゜- ゜)つロ 乾杯~",
  "level": 6,
  "birthday": "10-24",
  "vip_type": 2,
  "vip_status": 1,
  "following": 148,
  "follower": 123456,
  "archive_count": 321,
  "article_count": 12
}

400 / Bad Request

Missing uid parameter.

JSON
{
  "code": "INVALID_ARGUMENT",
  "details": {},
  "message": "Missing 'uid' parameter."
}

404 / Not Found

Bilibili user not found.

JSON
{
  "code": "NOT_FOUND",
  "details": {},
  "message": "Bilibili user not found."
}

502 / Bad Gateway

Temporarily unable to fetch the data. Please try again later.

JSON
{
  "code": "UPSTREAM_ERROR",
  "details": {},
  "message": "Unable to fetch the data. Please try again later."
}